summaryrefslogtreecommitdiffstats
path: root/libraries/libsndfile/libsndfile.SlackBuild
diff options
context:
space:
mode:
author Paul Wisehart <wise@lupulin.net>2010-05-11 14:56:21 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:56:21 +0200
commit5becb4cd598d8d009d7eb41873b9cc00d51944ac (patch)
treee78adada1fc98d928fc05e6dfae72d217055ccd8 /libraries/libsndfile/libsndfile.SlackBuild
parent5804d04f18652e5473364cc8ad528447bdb18fbd (diff)
downloadslackbuilds-5becb4cd598d8d009d7eb41873b9cc00d51944ac.tar.gz
slackbuilds-5becb4cd598d8d009d7eb41873b9cc00d51944ac.tar.xz
libraries/libsndfile: Initial import
Diffstat (limited to 'libraries/libsndfile/libsndfile.SlackBuild')
-rw-r--r--libraries/libsndfile/libsndfile.SlackBuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/libraries/libsndfile/libsndfile.SlackBuild b/libraries/libsndfile/libsndfile.SlackBuild
new file mode 100644
index 0000000000..aa4fc21e0e
--- /dev/null
+++ b/libraries/libsndfile/libsndfile.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+### libsndfile.SlackBuild ###
+
+# Slackware build script for libsndfile 1.0.17
+# Copyright (C) 2006 paul wisehart wise@lupulin.net
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+PKGNAME=libsndfile
+VERSION=1.0.17
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PKGNAME
+OUTPUT=${OUTPUT:-/tmp} # Final location of package
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PKGNAME-$VERSION
+tar -xvzf $CWD/$PKGNAME-$VERSION.tar.gz || exit 1
+cd $PKGNAME-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAME-$VERSION \
+ --htmldir=/usr/doc/$PKGNAME-$VERSION/html \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PKGNAME-$VERSION
+# The --htmldir switch isn't working as of version 1.0.17
+mv $PKG/usr/share/doc/libsndfile1-dev/html/ $PKG/usr/doc/$PKGNAME-$VERSION
+rm -rf $PKG/usr/share/doc
+cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PKGNAME.SlackBuild
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz